### A free/open-source library for quantitative finance

Classes
ql/instruments/vanillaswingoption.hpp File Reference

vanilla swing option class More...

`#include <ql/exercise.hpp>`
`#include <ql/time/daycounter.hpp>`
`#include <ql/instruments/payoffs.hpp>`
`#include <ql/instruments/oneassetoption.hpp>`
Include dependency graph for vanillaswingoption.hpp:

## Classes

class | SwingExercise
| Swing exercise. More...
class | VanillaSwingOption
| base option class More...

## Detailed Description

vanilla swing option class